.modal-enter-active {
    animation: scaleIn 0.3s ease-out;
}
.modal-leave-active {
    animation: scaleOut 0.3s ease-out;
}
.overlay-enter-active {
    animation: fadeIn 0.3s ease-out;
}
.overlay-leave-active {
    animation: fadeOut 0.3s ease-out;
}

@keyframes scaleIn {
    0% {
        opacity: 0;
        transform: scale(0.7);
    }
    50% {
        opacity: 1;
        transform: scale(1.3);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}
@keyframes scaleOut {
    0% {
        opacity: 1;
        transform: scale(1);
    }
    50% {
        opacity: 1;
        transform: scale(1.3);
    }
    100% {
        opacity: 0;
        transform: scale(0.7);
    }
}
@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes fadeOut {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
